Skip to main content
`Ctrl`+`K`

# PetscDSGetRiemannSolver

Returns the Riemann solver for the given field

## Synopsis

    #include "petscds.h"
    PetscErrorCode PetscDSGetRiemannSolver(PetscDS ds, PetscInt f, PetscRiemannFn **r)

Not Collective

## Input Parameters

- ds - The `PetscDS` object

- f - The field number

## Output Parameter

- r - Riemann solver, see `PetscRiemannFn`

## See Also

`PetscDS`, `PetscRiemannFn`, `PetscDSSetRiemannSolver()`

## Level

intermediate

## Location

src/dm/dt/interface/dtds.c

Index of all DT routines
Table of Contents for all manual pages
Index of all manual pages